Bug 1257601 - [abrt] bodhi-client: adapters.py:415:send:ConnectionError: ('Connection aborted.', BadStatusLine("''",))
[abrt] bodhi-client: adapters.py:415:send:ConnectionError: ('Connection abort...
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Randy Barlow
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-08-27 08:28 EDT by Karel Volný
Modified: 2016-12-20 09:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 09:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: backtrace (3.10 KB, text/plain)
2015-08-27 08:28 EDT, Karel Volný
no flags Details
File: dso_list (69 bytes, text/plain)
2015-08-27 08:28 EDT, Karel Volný
no flags Details
File: environ (3.59 KB, text/plain)
2015-08-27 08:28 EDT, Karel Volný
no flags Details

  None (edit)
Description Karel Volný 2015-08-27 08:28:12 EDT
Description of problem:
I don't know what happened ... maybe some network error? - It worked on second try.
Couldn't fedpkg tell me in some more comprehensible way, please?

Version-Release number of selected component:

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python2 -tt /bin/bodhi --new --release epel7 --file bodhi.template qmmp-0.8.8-1.el7 --username kvolny
executable:     /bin/bodhi
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
adapters.py:415:send:ConnectionError: ('Connection aborted.', BadStatusLine("''",))

Traceback (most recent call last):
  File "/bin/bodhi", line 532, in <module>
  File "/bin/bodhi", line 225, in main
    data = bodhi.save(**update_args)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 96, in wrapper
    result = method(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 165, in save
    kwargs['csrf_token'] = self.csrf()
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 96, in wrapper
    result = method(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 257, in csrf
    self.login(self.username, self.password)
  File "/usr/lib/python2.7/site-packages/fedora/client/openidbaseclient.py", line 399, in login
  File "/usr/lib/python2.7/site-packages/fedora/client/openidproxyclient.py", line 116, in openid_login
    login_url, headers={'Accept': 'application/json'})
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 477, in get
    return self.request('GET', url, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 465, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 594, in send
    history = [resp for resp in gen] if allow_redirects else []
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 196, in resolve_redirects
  File "/usr/lib/python2.7/site-packages/requests/sessions.py", line 573, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python2.7/site-packages/requests/adapters.py", line 415, in send
    raise ConnectionError(err, request=request)
ConnectionError: ('Connection aborted.', BadStatusLine("''",))

Local variables in innermost frame:
chunked: False
stream: False
err: ProtocolError('Connection aborted.', BadStatusLine("''",))
url: '/openid/?openid.cla.query_cla=http%3A%2F%2Fadmin.fedoraproject.org%2Faccounts%2Fcla%2Fdone&openid.claimed_id=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.identity=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0%2Fidentifier_select&openid.lp.query_membership=proventesters%2Cprovenpackager%2Creleng%2Csecurity_respons%2Cpackager%2Cbodhiadmin%2Cvirtmaint-sig%2Ckde-sig%2Ceclipse-sig%2Cinfra-sig%2Cgnome-sig%2Cpython-sig%2Crobotics-sig%2Csysadmin-main&openid.mode=checkid_setup&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.ns.cla=http%3A%2F%2Ffedoraproject.org%2Fspecs%2Fopen_id%2Fcla&openid.ns.lp=http%3A%2F%2Fns.launchpad.net%2F2007%2Fopenid-teams&openid.realm=https%3A%2F%2Fbodhi.fedoraproject.org&openid.return_to=https%3A%2F%2Fbodhi.fedoraproject.org%2Fdologin.html%3Fjanrain_nonce%3D2015-08-27T10%253A15%253A54ZQMa3TW'
verify: True
self: <requests.adapters.HTTPAdapter object at 0x7f9e09f79a90>
request: <PreparedRequest [GET]>
cert: None
timeout: <requests.packages.urllib3.util.timeout.Timeout object at 0x7f9e09cbe8d0>
proxies: {}
conn: <requests.packages.urllib3.connectionpool.HTTPSConnectionPool object at 0x7f9e09cb2f10>
Comment 1 Karel Volný 2015-08-27 08:28:15 EDT
Created attachment 1067721 [details]
File: backtrace
Comment 2 Karel Volný 2015-08-27 08:28:16 EDT
Created attachment 1067722 [details]
File: dso_list
Comment 3 Karel Volný 2015-08-27 08:28:17 EDT
Created attachment 1067723 [details]
File: environ
Comment 4 Randy Barlow 2016-10-17 17:26:24 EDT

I have recently become the primary caretaker of Bodhi and I've inherited a number of issues related to bodhi 0.9. I wanted to be forthcoming with you that it will be difficult for me to fix issues with bodhi 0.9 while also pressing forward with bodhi 2, especially since I do not have any familiarity with the bodhi 0.9 codebase. I'm happy to keep this bug open to track the problem, but I would also encourage you to please test the bodhi 2 client (currently available in Rawhide and Copr[0]). Unfortunately, the bodhi 2 client is not backwards compatible with bodhi 0.9, so at this time I only plan for bodhi 2 to be released with Fedora 26 and EPEL 7 (with special permission from the EPEL SC).

Here are some options you could pursue for this issue:

0) Write a patch for me that can be applied with the spec file. If you are willing to take the time to learn the bodhi 0.9 code, write a patch, and test it, I am willing to accept patches to be applied during build.
1) Use Rawhide.
2) Install bodhi 2 from my Copr[0].

I apologize as I understand that this is probably disappointing news for you to hear, but I thought it would be better to be forthcoming than to let the bug languish. I appreciate your understanding!

[0] https://copr.fedorainfracloud.org/coprs/bowlofeggs/bodhi/
Comment 5 Fedora End Of Life 2016-11-24 07:23:24 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 09:29:20 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.